// funciones.cpp.

#include "stdafx.h"
#include "resource.h"
#include "funciones.h"
#include "windowsx.h"
#include <math.h>

int Maximo(int a, int b)
{
	int tmp;

	if (a >= b)
		tmp = a;
	else
		tmp = b;

	return tmp;
}

int AproximarColor(double x)
{
	int res;
	double arriba,abajo;

	abajo = floor(x);
	arriba = ceil(x);
	
	if (abajo == arriba)
		res = (int) x;
	else
	{
		if ((arriba - x) < (x - abajo))
			res = (int) (x + 1);
		else
			res = (int) x;
	}
	
	if (res > 255)
		res = 255;
	else if (res < 0)
		res = 0;

	return res;
}

int Aproximar(double x)
{
	int res;
	double arriba, abajo;

	abajo = floor(x);
	arriba = ceil(x);

	if (abajo == arriba)
		res = (int) x;
	else
	{
		if ((arriba - x) < (x - abajo))
			res = (int) (x + 1);
		else
			res = (int) x;
	}

	return res;
}

int Redondear(double d)
{
	int res;

	if (ceil(d) - d < 0.5)
		res = (int) ceil(d);
	else
		res = (int) floor(d);

	return res;
}